/* libiir/src/libiir++/100_Coeff.cc
 * 
 *  Copyright: ©2014, Laurence Withers.
 *  Author: Laurence Withers <l@lwithers.me.uk>
 *  License: GPLv3
 */



Coeff::Coeff(int nc, const double* c, int nd, const double* d)
{
    cc_ = iir_coeff_new(nc, c, nd, d);
}



Coeff::Coeff(const struct iir_coeff_t* cc)
{
    cc_ = iir_coeff_copy(cc);
}



Coeff::Coeff(const Coeff& other)
{
    cc_ = iir_coeff_copy(other.cc_);
}



Coeff::~Coeff()
{
    iir_coeff_free(cc_);
}



int
Coeff::nc() const
{
    return iir_coeff_get_nc(cc_);
}



double
Coeff::c(int idx) const
{
    return iir_coeff_get_c(cc_, idx);
}



int
Coeff::nd() const
{
    return iir_coeff_get_nd(cc_);
}



double
Coeff::d(int idx) const
{
    return iir_coeff_get_d(cc_, idx);
}



std::complex<double>
Coeff::response(double freq) const
{
    return std::complex<double>(iir_response_c(cc_, freq));
}



/* options for text editors
vim: expandtab:ts=4:sw=4:syntax=cpp.doxygen
*/
