/* libiir/src/libiir++/300_common_filters.cc
 * 
 *  Copyright: ©2014, Laurence Withers.
 *  Author: Laurence Withers <l@lwithers.me.uk>
 *  License: GPLv3
 */



Coeff
ButterworthLowPass(int order, double gain, double corner)
{
    struct iir_coeff_t* cc = iir_butterworth_lowpass(order, gain, corner);
    Coeff ret(cc);
    iir_coeff_free(cc);
    return ret;
}



Coeff
ButterworthHighPass(int order, double gain, double corner)
{
    struct iir_coeff_t* cc = iir_butterworth_highpass(order, gain, corner);
    Coeff ret(cc);
    iir_coeff_free(cc);
    return ret;
}



Coeff
ButterworthBandPass(int order, double gain, double corner1, double corner2)
{
    struct iir_coeff_t* cc = iir_butterworth_bandpass(order, gain, corner1,
        corner2);
    Coeff ret(cc);
    iir_coeff_free(cc);
    return ret;
}



Coeff
ButterworthBandStop(int order, double gain, double corner1, double corner2)
{
    struct iir_coeff_t* cc = iir_butterworth_bandstop(order, gain, corner1,
        corner2);
    Coeff ret(cc);
    iir_coeff_free(cc);
    return ret;
}



/* options for text editors
vim: expandtab:ts=4:sw=4:syntax=cpp.doxygen
*/
